Loading...
Searching...
No Matches
osmo_v110_ta Struct Reference

## Data Fields

const char * | name
struct osmo_tdef * | Tdefs
struct osmo_fsm_inst * | fi
struct osmo_v110_ta_cfg * | cfg
struct v110_ta_state | state

## Field Documentation

## cfg

struct osmo_v110_ta_cfg* osmo_v110_ta::cfg

Referenced by osmo_v110_ta_alloc(), v110_ta_build_frame(), v110_ta_flags_update(), v110_ta_fsm_data_transfer_onenter(), and v110_ta_handle_frame().

## fi

struct osmo_fsm_inst* osmo_v110_ta::fi

Referenced by osmo_v110_ta_alloc(), osmo_v110_ta_desync_ind(), osmo_v110_ta_frame_in(), osmo_v110_ta_frame_out(), osmo_v110_ta_free(), osmo_v110_ta_set_circuit(), osmo_v110_ta_sync_ind(), v110_ta_fsm_connect_ta_to_line(), v110_ta_fsm_connect_ta_to_line_onenter(), v110_ta_fsm_data_transfer(), v110_ta_fsm_data_transfer_onenter(), v110_ta_fsm_disconnect(), v110_ta_fsm_disconnect_onenter(), v110_ta_fsm_idle_ready(), v110_ta_fsm_idle_ready_onenter(), v110_ta_fsm_resyncing(), v110_ta_fsm_resyncing_onenter(), and v110_ta_set_status().

## name

const char* osmo_v110_ta::name

Referenced by osmo_v110_ta_alloc().

## state

struct v110_ta_state osmo_v110_ta::state

Referenced by osmo_v110_ta_get_circuit(), osmo_v110_ta_get_status(), osmo_v110_ta_set_circuit(), v110_ta_build_frame(), v110_ta_flags_update(), v110_ta_fsm_connect_ta_to_line(), v110_ta_fsm_connect_ta_to_line_onenter(), v110_ta_fsm_data_transfer(), v110_ta_fsm_data_transfer_onenter(), v110_ta_fsm_disconnect_onenter(), v110_ta_fsm_idle_ready(), v110_ta_fsm_idle_ready_onenter(), v110_ta_fsm_resyncing(), v110_ta_fsm_resyncing_onenter(), v110_ta_handle_frame(), and v110_ta_set_status().

## Tdefs

struct osmo_tdef* osmo_v110_ta::Tdefs

Referenced by osmo_v110_ta_alloc(), and osmo_v110_ta_set_timer_val_ms().

The documentation for this struct was generated from the following file:

- src/isdn/v110_ta.c